Package: org.apache.groovy.groovysh.util

## [Groovy] Class NoExitSecurityManager

- org.apache.groovy.groovysh.util.NoExitSecurityManager

-     class NoExitSecurityManager
      extends SecurityManager

  Custom security manager to System.exit (and related) from being used.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NoExitSecurityManager(SecurityManager parent)`
    `NoExitSecurityManager()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `checkExit(int code)` Always throws SecurityException.
    `` | `void` | `checkPermission(Permission perm)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SecurityManager` | `checkPackageAccess, checkPermission, checkPermission, checkCreateClassLoader, checkPropertiesAccess, checkPropertyAccess, getThreadGroup, getSecurityContext, checkAccess, checkAccess, checkExit, checkExec, checkLink, checkRead, checkRead, checkRead, checkWrite, checkWrite, checkDelete, checkConnect, checkConnect, checkListen, checkAccept, checkMulticast, checkMulticast, checkPrintJobAccess, checkPackageDefinition, checkSetFactory, checkSecurityAccess, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### NoExitSecurityManager(SecurityManager parent)

    - #### NoExitSecurityManager()

  - ### Method Detail

    - #### @Override
      void checkExit(int code)

      Always throws SecurityException.

    - #### @Override
      void checkPermission(Permission perm)